
(function() {
	var $j = jQuery.noConflict(); 

	/* overlay */
	$j(document).ready(function() {
		$j("img[rel]").filter("#overlayimage").overlay().end();
		$j("img[rel]").filter("#overlayvideo").overlay().end();
	});


	/* gallery - chained call: scrollable().find("a").tooltip().overlay().gallery(); */
	$j(document).ready(function() {
		if (! document.getElementById('gallery')){
			return false;
		}

		$j(".scrollable").scrollable().find("a").tooltip({
			// use this single tooltip element for all trigger elements
			tip: '#overlaytooltipsmall'

		}).overlay({

			// each trigger uses the same overlay with id "gallery"
			target: '#gallery',

			// optional exposing effect with custom color
			expose: '#111',

			// clicking outside the overlay does not close it
			closeOnClick: false

		// gallery plugin
		}).gallery({

			// do not use the same disabled class name as scrollable
			disabledClass: 'inactive'
		});
	});


	/* Auto slide toggle */
	$j(function(){
		$j(".blockheadline .head").click(function(event) {
			event.preventDefault();
			$j(this).next('div .body').slideToggle();
		});
		$j(".blockinfo .head,.blockinfo2 .head").click(function(event) {
			event.preventDefault();
			$j(this).next('div .body').slideToggle();
		});
		$j("#blocklogin .head").click(function(event) {
			event.preventDefault();
			$j(this).next('div .body').slideToggle();
		});

		/* experiment on site wide sliding effect */
		//$j("div[rel]").filter(".blockheadline .head").click(function(event) {
			//var val = $j(this).val();
			//alert ( val );
		/*$("#caja a").click(function(event) {
			event.preventDefault();
			$("#caja").slideUp();
		});*/
	});


	/* Mark links with rel */
	/*$j.expr[':'].withRel = function(obj){
		var $this = $j(obj);
		return ($this.attr('rel') != '');
	};
	$j(document).ready(function(){
		$j('a:withRel').css('background-color', 'yellow');
	});*/


	/* auto hide */
	Event.observe(window, 'load', function() {
		if (document.getElementById('helplistblock')){$('helplistblock').hide();}
		if (document.getElementById('imgupl')){$('imgupl').hide();}
		if (document.getElementById('flvupl')){$('flvupl').hide();}
 		//$('qpnblock').hide();
	});
})();



/***** sitesearch *****/

function searchThisSiteCheckFields(form) {
	var txt = form['q'].value;

	if (txt.length == 0){
		alert("The Search field is empty.");
		return false;
	}

	//form.action = '';
	form.onsubmit=null;
	return true;
}



/***** ajax_cm *****/

function showLoading_CM(){
	var s='';
	s += '<p><img src="../images/common/ajax-indicator.gif"></p>';
	return s;
}


function showObjects_CM(val,type,flag)
{
	if (type == null) { type = '';}
	if (flag == null) { flag = '';}
	$('showObjects_CM'+type+val).innerHTML = showLoading_CM();
	var state      = 'ajax_cm';
	var substate   = 'showObjects';
	var url        = '../shin/'
	var AjaxPost   = new Ajax.Request(url,{
		method:'post',
		parameters:{state: state, substate: substate, object_id: val, type: type, flag: flag},
		onComplete:function(r)
		{
			$('showObjects_CM'+type+val).innerHTML = r.responseText;
		}
	});
}



/***** AJAX Loading *****/
function showLoading(){
	var s='';
	s += '<img src="../images/common/ajax-loader.gif">';
	return s;
}

function showLoadingBar(){
	var s='';
	s += '<img src="../images/common/ajax-loader-bar.gif">';
	return s;
}


function showLoadingForm(){
	var s='';
	s += '<label class="noaccesskey"> Loading </label>';
	s += '<p><img src="../images/common/ajax-loader.gif"></p>';
	//s += '<p> &nbsp;  &nbsp; <img src="../images/common/ajax-loader.gif"></p>';
	return s;
}



/***** Image Preloader *****/
(function($j) {
  var cache = [];
  // Arguments are image paths relative to the current page.
  $j.preLoadImages = function() {
    var args_len = arguments.length;
    for (var i = args_len; i--;) {
      var cacheImage = document.createElement('img');
      cacheImage.src = arguments[i];
      cache.push(cacheImage);
    }
  }
})(jQuery)



/***** Double Submit detection *****/
jQuery.preLoadImages("../images/common/ajax16x16.gif");
jQuery.fn.preventDoubleSubmit = function() {
	jQuery(this).submit(function() {
		if (this.beenSubmitted){
			if (document.getElementById('submitmsg')){
				$('submitmsg').innerHTML = 'Please be patient, do not click more than once... <img src="../images/common/ajax16x16.gif">';
			}
			return false;
		} else {
			this.beenSubmitted = true;
			$j('#submit').css('background-color', '#888');
			if (document.getElementById('submitmsg')){
				$('submitmsg').innerHTML = 'Please wait... <img src="../images/common/ajax16x16.gif">';
			}
		}});
};



/***** Experimental *****/

function setHomePage() {
	brow_Ver = parseFloat(navigator.appVersion);
	var n			= navigator;
	var UserAgent	= ' ' + n.userAgent.toLowerCase();
	var pl			= n.platform.toLowerCase();
	var an			= n.appName.toLowerCase();

	if (UserAgent.indexOf("msie") != -1 && navigator.platform.indexOf("Win16") == -1) {
		 homePage.setHomePage("projects.dev");
		 return false;
	}
}
